.form {
  padding: var(--margin);

  display: grid;
  gap: var(--margin);
}

@media (width >= 940px) {
  .form {
    padding: 0 var(--margin);

    grid-template-columns: 1fr 1fr;
  }
}

.form label {
  display: block;
  margin-bottom: var(--margin);
}

.form input,
.form select {
  width: 100%;
}

.error {
  display: none;
  color: var(--color-text-danger);

  transform: translateY(5px);
}

.error.visible {
  display: block;
}

@media (width >= 940px) {
  .username {
    grid-column: span 2;
  }

  .role {
    grid-column: span 2;
  }
}